This patch fixes the bug 383555, the problem is on:
/usr/share/initramfs-tools/scripts/init-bottom/udev
This script moves the /dev directory inside the initramfs to the
real location in the new root.
Currently it fails in the line "nuke /dev/.udev/queue/", because this
directory does not exist.
So, applying the attached patch solves the problem.
After applying, you need to run "/usr/sbin/update-initramfs -u" to
update the initramfs in the running kernel.
Hope this can be integrated soon to the Debian package.
Daniel.
--- /usr/share/initramfs-tools/scripts/init-bottom/udev.orig 2006-08-17 09:18:24.000000000 -0400
+++ /usr/share/initramfs-tools/scripts/init-bottom/udev 2006-08-18 17:09:17.000000000 -0400
@@ -18,7 +18,7 @@
done
# ignore any failed event because the init script will trigger again all events
-nuke /dev/.udev/queue/
+nuke /dev/.udev/queue/ || true
# Move the real filesystem's /dev to beneath our tmpfs, then move it all
# to the real filesystem